<?php

namespace Schaffen\Gef\Criterias;

use Prettus\Repository\Contracts\RepositoryInterface;
use Prettus\Repository\Contracts\CriteriaInterface;
use Carbon\Carbon;
use Schaffen\Gef\Models\CategoriaGasto;


class ProdutosAcessoriosCriteria implements CriteriaInterface
{

   public function apply($model, RepositoryInterface $repository)
   {
      $model = $model->whereHas('categoria', function ($query){
         return $query->where('cag_tipo', CategoriaGasto::ACESSORIO);
      });
      return $model;
   }
}