<?php

namespace Schaffen\Gef\Repositories;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use Schaffen\Gef\Presenters\CategoriaGastoPresenter;
use Schaffen\Gef\Repositories\CategoriaGastoRepository;
use Schaffen\Gef\Models\CategoriaGasto;
use Schaffen\Gef\Validators\CategoriaGastoValidator;

/**
 * Class CategoriaGastoRepositoryEloquent.
 *
 * @package namespace Schaffen\Gef\Repositories;
 */
class CategoriaGastoRepositoryEloquent extends BaseRepository implements CategoriaGastoRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return CategoriaGasto::class;
    }


   public function presenter()
   {
      return CategoriaGastoPresenter::class;
   }

    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
    }
    
}
