<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\AgendamentoVeiculoUso;

class AgendamentoVeiculoUsoObserver
{
   public function creating(AgendamentoVeiculoUso $agendamento_veiculo_uso)
   {

      $agendamento_veiculo_uso->agu_data_disponibilidade_inicial = Carbon::createFromFormat('d/m/Y', $agendamento_veiculo_uso->agu_data_disponibilidade_inicial);
      $agendamento_veiculo_uso->agu_data_disponibilidade_final = Carbon::createFromFormat('d/m/Y', $agendamento_veiculo_uso->agu_data_disponibilidade_final);
      $agendamento_veiculo_uso->agu_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $agendamento_veiculo_uso->agu_date_insert = Carbon::now();

   }

   public function updating(AgendamentoVeiculoUso $agendamento_veiculo_uso)
   {

      $agendamento_veiculo_uso->agu_data_disponibilidade_inicial = Carbon::createFromFormat('d/m/Y', $agendamento_veiculo_uso->agu_data_disponibilidade_inicial);
      $agendamento_veiculo_uso->agu_data_disponibilidade_final = Carbon::createFromFormat('d/m/Y', $agendamento_veiculo_uso->agu_data_disponibilidade_final);
      $agendamento_veiculo_uso->agu_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $agendamento_veiculo_uso->agu_date_update = Carbon::now();
   }
}