<?php

namespace Schaffen\Gef\Observers;

use Carbon\Carbon;
use Schaffen\Gef\Models\ProdutoFrota;

class ProdutoFrotaObserver
{
   public function creating(ProdutoFrota $produto_frota)
   {

      $produto_frota->prfr_user_insert = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $produto_frota->prfr_date_insert = Carbon::now();
   }

   public function updating(ProdutoFrota $produto_frota)
   {
      $produto_frota->prfr_user_update = !is_null(\Auth::user()) ? \Auth::user()->usu_nome : 'Usuário não autenticado';
      $produto_frota->prfr_date_update = Carbon::now();
   }
}